import { select, arc, csv} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render=(data)=>{

svg.selectAll('circle')
.data(data)
.enter().append('circle')
.attr('cx',20)
.attr('cy',30)
.attr('r',10)
}



csv('https://vizhub.com/curran/datasets/auto-mpg.csv')
.then(data=>{
data.forEach(d=>{
d.mpg=+d.mpg;
d.cylinders=+d.cylinders;
d.displacement=+d.displacement;
d.horsepower=+d.horsepower;
d.weight=+d.weight;
d.acceleration=+d.accelaration;
d.year=+d.year;
render(data);
});
});

